#include <igrimage.h>
#include <igrtim.h>
#include <unistd.h>
#include <stdio.h>

void ParseCommand(int argc, char *argv[], char *filename, IUShort *palnum);

int main(int argc, char *argv[])
{
 char filename[255];
 char tmpname[255];
 IUShort palnum;
 ITim tim;
 IImage img;

 ParseCommand(argc, argv, filename, &palnum);
 sprintf(tmpname, "%s.tim", filename);
 tim = ITimLoad(tmpname);
 if (tim)
 {
  img = ITim2Image(tim, palnum, 0, 0, 0);
  ITimDestroy(tim);
  if (img)
  {
   sprintf(tmpname, "%s.pcx", filename);
   IImagePCXSave(img, tmpname);
   IImageDestroy(img);
  }
 }
 return 0;
}

void ParseCommand(int argc, char *argv[], char *filename, IUShort *palnum)
{
 char opt;
 int i;

 while ((opt = getopt(argc,argv,"h?")) != EOF) {
  switch (opt) {
   case 'h':
   case '?':
    printf("\
Converts a tim file to a pcx\n\
\n\
tim2pcx filename[.tim] palnum\n\
\n\
  filename[.tim]  Name of pcx file\n\
");
    exit(0);
    break;
   default:
    break;
  }
 }
 if ((argc - optind < 1) || (argc - optind > 2)) {
  printf("Incorrect number of parameters\n");
  exit(4);
 }
 strcpy(filename,argv[optind]);
 if (((i=strlen(filename))>4) && (strcmp(filename+i-4,".tim")==0))
  filename[i-4]=0;
 *palnum = ITIM_PAL_NONE;
 if (argc - optind == 2)
  *palnum = atoi(argv[optind + 1]);
}

