#include <igrimage.h>
#include <igrtim.h>
#include <unistd.h>
#include <stdio.h>

void ParseCommand(int argc, char *argv[], char *filename,
  IUShort *x, IUShort *y, IUShort *clutx, IUShort *cluty);

int main(int argc, char *argv[])
{
 char filename[255];
 char tmpname[255];
 ITim tim;
 IUShort x, y, clutx, cluty;

 ParseCommand(argc, argv, filename, &x, &y, &clutx, &cluty);
 sprintf(tmpname, "%s.tim", filename);
 tim = ITimLoad(tmpname);
 if (tim)
 {
  tim->px = x;
  tim->py = y;
  tim->cx = clutx;
  tim->cy = cluty;
  ITimSave(tim, tmpname);
  ITimDestroy(tim);
 }
 return 0;
}

void ParseCommand(int argc, char *argv[], char *filename,
  IUShort *x, IUShort *y, IUShort *clutx, IUShort *cluty)
{
 char opt;
 int i;

 while ((opt = getopt(argc,argv,"h?")) != EOF) {
  switch (opt) {
   case 'h':
   case '?':
    printf("\
Converts a pcx file to a tim file\n\
\n\
pcx2tim filename[.tim] x y clut_x clut_y\n\
\n\
  -8              Convert to 8 bits per pixel (default)\n\
  -4              Convert to 4 bits per pixel\n\
  filename[.pcx]  Name of pcx file\n\
  x               X position of TIM in video memory\n\
  y               Y position of TIM in video memory\n\
  clutx           X position of CLUT in video memory\n\
  cluty           Y position of CLUT in video memory\n\
");
    exit(0);
    break;
   default:
    break;
  }
 }
 if (argc - optind != 5) {
  printf("Incorrect number of parameters\n");
  exit(4);
 }
 strcpy(filename,argv[optind]);
 if (((i=strlen(filename))>4) && (strcmp(filename+i-4,".tim")==0))
  filename[i-4]=0;
 *x = atoi(argv[optind + 1]);
 *y = atoi(argv[optind + 2]);
 *clutx = atoi(argv[optind + 3]);
 *cluty = atoi(argv[optind + 4]);
}

