#include <igrimage.h>
#include <igrtim.h>
#include <unistd.h>
#include <stdio.h>

void ParseCommand(int argc, char *argv[], char *filename);

int main(int argc, char *argv[])
{
 char filename[255];
 char tmpname[255];
 IUShort palnum;
 ITim tim;
 IImage img;
 IShort bpp, pw;

 ParseCommand(argc, argv, filename);
 sprintf(tmpname, "%s.tim", filename);
 tim = ITimLoad(tmpname);
 if (tim)
 {
  if (ITimIs24bit(tim))
  {
   bpp = 24;
   pw = tim->pw * 2 / 3;
  }
  else if (ITimIs16bit(tim))
  {
   bpp = 16;
   pw = tim->pw;
  }
  else if (ITimIs8bit(tim))
  {
   bpp = 8;
   pw = tim->pw * 2;
  }
  else if (ITimIs4bit(tim))
  {
   bpp = 4;
   pw = tim->pw * 4;
  }
  printf("Bits per pixel:     %d\n", bpp);
  printf("Picture Loaded:     (%d, %d)\n", tim->px, tim->py);
  printf("Picture Dimensions: %d x %d\n", pw, tim->ph);
  if (tim->ch > 0)
  {
   printf("Palette Loaded:     (%d, %d)\n", tim->cx, tim->cy);
   printf("Palette Dimensions: %d x %d\n", tim->cw, tim->ch);
  }
  ITimDestroy(tim);
 }
 return 0;
}

void ParseCommand(int argc, char *argv[], char *filename)
{
 char opt;
 int i;

 while ((opt = getopt(argc,argv,"h?")) != EOF) {
  switch (opt) {
   case 'h':
   case '?':
    printf("\
Prints info about a tim file\n\
\n\
timinfo filename[.tim]\n\
\n\
  filename[.tim]  Name of tim file\n\
");
    exit(0);
    break;
   default:
    break;
  }
 }
 if ((argc - optind != 1)) {
  printf("Incorrect number of parameters\n");
  exit(4);
 }
 strcpy(filename,argv[optind]);
 if (((i=strlen(filename))>4) && (strcmp(filename+i-4,".tim")==0))
  filename[i-4]=0;
}

